lucene-solr-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Shawn Heisey <apa...@elyograg.org>
Subject Re: Error while creating a new solr core
Date Tue, 11 Sep 2018 17:02:17 GMT
On 9/10/2018 11:51 PM, Shalvak Mittal (UST, ) wrote:
> I have recently installed solr 7.2.1 in my ubuntu 16.04 system. While creating a new
core, the solr logging shows an error saying
>
> " Caused by: org.apache.solr.common.SolrException: fips module was not loaded."

I have never heard of a module for Solr called "fips".  It certainly 
isn't one that comes with the Solr package. If you have are dealing with 
a module named fips, you would need to talk to whoever created it for help.

If you are customizing Jetty, you won't find any help here for that.  
Beyond a very few simple changes, we don't know all that much about 
Jetty.  It is used to provide network services for Solr, but this is 
done with a config that isn't changed much from Jetty defaults.

> I have downloaded the necessary jar files like cryptoj.jar and copied them in /usr/lib/jvm/java-8-openjdk-amd64/jre/lib/ext/
but the error still persists.

This is a directory location that is meaningless for Solr. You would 
need to talk to someone at OpenJDK about this directory, since it's theirs.

Thanks,
Shawn


Mime
View raw message